using System;
using System.Web.UI;

namespace WebApplication1
{
    public partial class _Default : Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                C1InputDate1.Date = DateTime.Now.AddYears(10);
            }
        }

        protected void Button1_Click(object sender, EventArgs e)
        {
            C1InputDate1.Date = C1InputDate1.Date?.AddMonths(1);
        }
    }
}